scoreboard players remove @a[scores={Heroes.Pocket.Failsafe=1..}] Heroes.Pocket.Failsafe 1
execute as @a[nbt={Dimension:"heroes:pocket_dimension"}] if score @s Heroes.Pocket.Failsafe matches 1 run tag @s add Heroes.Pocket.Failsafe.Tp
execute in minecraft:overworld as @a[tag=Heroes.Pocket.Failsafe.Tp] run effect give @s minecraft:slow_falling 1 1 true
execute in minecraft:overworld as @a[tag=Heroes.Pocket.Failsafe.Tp] run tp @s ~ ~ ~
execute in minecraft:overworld as @a[tag=Heroes.Pocket.Failsafe.Tp] run spreadplayers ~ ~ 10 100 false @s
tag @a[tag=Heroes.Pocket.Failsafe.Tp] remove Heroes.Pocket.Failsafe.Tp


superpower add heroes:base_power @a

scoreboard players add @e[name=Brain_Corpse] Powers.Suppresed 1
kill @e[name=Brain_Corpse,scores={Powers.Suppresed=420..}]

execute as @e[scores={Heroes.AbilityTot=1..},tag=!Heroes.Brain.Power] run superpower add heroes:brain_drop @s
execute as @e[type=zombie,tag=!Heroes.Brain.Power] run superpower add heroes:brain_drop @s
execute as @e[type=player,tag=!Heroes.Brain.Power] run superpower add heroes:brain_drop @s
execute as @e[type=husk,tag=!Heroes.Brain.Power] run superpower add heroes:brain_drop @s
execute as @e[type=villager,tag=!Heroes.Brain.Power] run superpower add heroes:brain_drop @s
execute as @e[type=zombie_villager,tag=!Heroes.Brain.Power] run superpower add heroes:brain_drop @s
execute as @e[type=pillager,tag=!Heroes.Brain.Power] run superpower add heroes:brain_drop @s
execute as @e[type=vindicator,tag=!Heroes.Brain.Power] run superpower add heroes:brain_drop @s
execute as @e[palladium.power=heroes:brain,tag=!Heroes.Brain.Power] run tag @s add Heroes.Brain.Power


execute at @a[palladium.power=heroes:pyrokinesis] as @e[type=palladium:custom_projectile,nbt={Size:1.04263f},distance=1.8..] at @s run particle minecraft:flame ~ ~ ~ 0.2 0.2 0.2 0 10 force
execute at @a[palladium.power=heroes:pyrokinesis] as @e[type=palladium:custom_projectile,nbt={Size:1.04263f},distance=1.8..] at @s run particle minecraft:smoke ~ ~ ~ 0.2 0.2 0.2 0 2 force

execute at @a[palladium.power=heroes:pyrokinesis] as @e[type=palladium:custom_projectile,nbt={Size:1.04264f},distance=1.8..] at @s run particle minecraft:flame ~ ~ ~ 0.3 0.3 0.3 0 10 force
execute at @a[palladium.power=heroes:pyrokinesis] as @e[type=palladium:custom_projectile,nbt={Size:1.04264f},distance=1.8..] at @s run particle minecraft:smoke ~ ~ ~ 0.3 0.3 0.3 0 2 force

execute at @a[palladium.power=heroes:pyrokinesis] as @e[type=palladium:custom_projectile,nbt={Size:1.04265f},distance=1.8..] at @s run particle heroes:blue_flame ~ ~ ~ 0.4 0.4 0.4 0 10 force
execute at @a[palladium.power=heroes:pyrokinesis] as @e[type=palladium:custom_projectile,nbt={Size:1.04265f},distance=1.8..] at @s run particle minecraft:smoke ~ ~ ~ 0.4 0.4 0.4 0 2 force

execute at @a[palladium.power=heroes:pyrokinesis] as @e[type=palladium:custom_projectile,nbt={Size:1.04266f},distance=1.8..] at @s run particle heroes:blue_flame ~ ~ ~ 0.5 0.5 0.5 0 10 force
execute at @a[palladium.power=heroes:pyrokinesis] as @e[type=palladium:custom_projectile,nbt={Size:1.04266f},distance=1.8..] at @s run particle minecraft:smoke ~ ~ ~ 0.5 0.5 0.5 0 2 force

execute as @e[type=item,nbt={Item:{tag:{Heroes.Cryo.Tool:1}}}] at @s unless entity @s[type=item,nbt={Item:{tag:{Heroes.Cryo.Stable:1}}}] run particle minecraft:snowflake ~ ~0.2 ~ 0.2 0.2 0.2 0 100
execute as @e[type=item,nbt={Item:{tag:{Heroes.Cryo.Tool:1}}}] at @s unless entity @s[type=item,nbt={Item:{tag:{Heroes.Cryo.Stable:1}}}] run kill @s
#Global Geo/Plasma Fix-----------------


scoreboard players set @a[tag=!Heroes.Addonpack] Heroes.PlasmaLevel 0
scoreboard players set @a[tag=!Heroes.Addonpack] Heroes.PlasmaXp 0
scoreboard players set @e[tag=!Heroes.Addonpack] Heroes.PlasmaXpReq 100

scoreboard players set @a[tag=!Heroes.Addonpack] Heroes.SpeedLevel 0
scoreboard players set @a[tag=!Heroes.Addonpack] Heroes.SpeedXp 0
scoreboard players set @a[tag=!Heroes.Addonpack] Heroes.SpeedXpReq 100
execute at @a[tag=!Heroes.Addonpack,limit=1] run function heroes:power_reg
execute as @a[tag=!Heroes.Addonpack] at @s run function heroes:chance_power

tag @a[scores={Heroes.PlasmaXpReq=100..}] add Heroes.Addonpack


#Level System
scoreboard objectives add Heroes.PlasmaSkill dummy
scoreboard objectives add Heroes.PlasmaXp dummy
scoreboard objectives add Heroes.PlasmaXpReq dummy
scoreboard objectives add Heroes.PlasmaLevel dummy
		
execute as @a if score @s Heroes.PlasmaXp >= @s Heroes.PlasmaXpReq run tag @s add Plasma_LevelUp
scoreboard players operation @a[tag=Plasma_LevelUp] Heroes.PlasmaXp -= @s[tag=Plasma_LevelUp] Heroes.PlasmaXpReq
scoreboard players add @a[tag=Plasma_LevelUp] Heroes.PlasmaLevel 1
scoreboard players add @a[tag=Plasma_LevelUp] Heroes.PlasmaXpReq 25
scoreboard players add @a[tag=Plasma_LevelUp] Heroes.PlasmaSkill 1
tag @a remove Plasma_LevelUp

scoreboard objectives add Heroes.SpeedSkill dummy
scoreboard objectives add Heroes.SpeedXp dummy
scoreboard objectives add Heroes.SpeedXpReq dummy
scoreboard objectives add Heroes.SpeedLevel dummy
		
execute as @a if score @s Heroes.SpeedXp >= @s Heroes.SpeedXpReq run tag @s add Speed_LevelUp
scoreboard players operation @a[tag=Speed_LevelUp] Heroes.SpeedXp -= @s[tag=Speed_LevelUp] Heroes.SpeedXpReq
scoreboard players add @a[tag=Speed_LevelUp] Heroes.SpeedLevel 1
scoreboard players add @a[tag=Speed_LevelUp] Heroes.SpeedXpReq 25
scoreboard players add @a[tag=Speed_LevelUp] Heroes.SpeedSkill 1
tag @a remove Speed_LevelUp




# List Powers

# Power Scoreboard to Keep track of step
# 0 = Removed
# 1 = Real

## Objective for each powers




scoreboard objectives add Heroes.Jump minecraft.custom:minecraft.jump





