function getRandomInt(min, max) {
  min = Math.ceil(min);
  max = Math.floor(max);
  return Math.floor(Math.random() * (max - min) + min); // The maximum is exclusive and the minimum is inclusive
}

	EntityEvents.hurt("minecraft:player",event =>{
		
	
	if (event.entity.isPlayer() && abilityUtil.isEnabled(event.player, 'heroes:ocular_psychogenesis', 'Future_Sight')) {
		let entity = event.entity;
		let entry = event.entity.entry
		let server = event.server;
		let username = entity.getGameProfile().getName();
		let scoreboard = Utils.server.scoreboard;
        let scoreboard_obj = scoreboard.getObjective("Heroes.Psychogenesis.Dodge_Chance");
        let score = scoreboard.getOrCreatePlayerScore(username, scoreboard_obj);
        let value = score.getScore();
		const chance = (getRandomInt(0, 100) >= (100 - value));
		if (event.source.actual != null) {
			if (chance == true) {
		server.runCommandSilent(`tag ${username} add Heroes.Psychogenesis.Dodge`);
		server.runCommandSilent(`scoreboard players add ${username} Heroes.Stamina.Remove 22`);
		event.cancel()
			}
		}
	}	
	
	if (event.entity.isPlayer() && abilityUtil.isEnabled(event.player, 'heroes:ocular_psychogenesis', 'Reflex_Dodge')) {
		let entity = event.entity;
		let entry = event.entity.entry
		let server = event.server;
		let username = entity.getGameProfile().getName();
		let scoreboard = Utils.server.scoreboard;
        let scoreboard_obj = scoreboard.getObjective("Heroes.Psychogenesis.Dodge_Chance");
        let score = scoreboard.getOrCreatePlayerScore(username, scoreboard_obj);
        let value = score.getScore();
		const chance = (getRandomInt(0, 100) >= (100 - value));
		if (event.source.actual != null) {
			if (chance == true) {
		server.runCommandSilent(`tag ${username} add Heroes.Psychogenesis.Dodge`);
		server.runCommandSilent(`scoreboard players add ${username} Heroes.Stamina.Remove 22`);
		event.cancel()
			}
		}
	}	
	
	if (event.entity.isPlayer() && abilityUtil.isEnabled(event.player, 'heroes:danger_sense', 'Danger_Sense')) {
		let entity = event.entity;
		let entry = event.entity.entry
		let server = event.server;
		let username = entity.getGameProfile().getName();
		let scoreboard = Utils.server.scoreboard;
        let scoreboard_obj = scoreboard.getObjective("Heroes.Danger_Sense.Dodge_Chance");
        let score = scoreboard.getOrCreatePlayerScore(username, scoreboard_obj);
        let value = score.getScore();
		const chance = (getRandomInt(0, 100) >= (100 - value));
		if (event.source.actual != null) {
			if (chance == true) {
		server.runCommandSilent(`tag ${username} add Heroes.Danger_Sense.Dodge`);
		server.runCommandSilent(`scoreboard players add ${username} Heroes.Stamina.Remove 14`);
		event.cancel()
			}
		}
	}	
	
	if (event.entity.isPlayer() && abilityUtil.isEnabled(event.player, 'heroes:space_time_manipulation', 'Abil_3_Spatial_Defence')) {
		let entity = event.entity;
		let entry = event.entity.entry
		let server = event.server;
		let username = entity.getGameProfile().getName();
		if (event.source.actual != null) {
		server.runCommandSilent(`execute as ${username} at @s run playsound heroes:heroes.space_time_sfx player @a[distance=..10] ~ ~ ~ 0.4 1.5`);
		server.runCommandSilent(`scoreboard players add ${username} Heroes.Stamina.Remove 18`);
		event.cancel()
		}
	}	

	if (event.entity.isPlayer() && abilityUtil.isEnabled(event.player, 'heroes:space_time_manipulation', 'Abil_3_Timeline_Erasure')) {
		let source = event.source
		let entity = event.entity;
		let entry = event.entity.entry
		let server = event.server;
		let username = entity.getGameProfile().getName();
		
	if (event.source.actual != null) {
		server.runCommandSilent(`execute as ${username} at @s run playsound heroes:heroes.space_time_sfx player @a[distance=..10]`);
		server.runCommandSilent(`execute as ${username} at @s run function heroes:powers/auto_dodge_location`);
		server.runCommandSilent(`scoreboard players add ${username} Heroes.Stamina.Remove 88`);
		event.cancel()
		}
	}
	
	if (event.entity.isPlayer() && abilityUtil.isEnabled(event.player, 'heroes:augmented_movement_potential', 'Reflex_Dodge')) {
		let damage = event.damage
		let source = event.source
		let entity = event.entity;
		let entry = event.entity.entry
		let server = event.server;
		let health = entity.health;
		let username = entity.getGameProfile().getName();
		
	if (event.source.actual != null) {
		server.runCommandSilent(`scoreboard players add ${username} Heroes.Stamina.Remove 33`);
		server.runCommandSilent(`tag ${username} add Heroes.Speed.Dodge`);
		event.cancel()
		}
	}	

})



